Skip to content

upsertMethodMaterial

WRITE

Upsert method material.

POST /api/v1/items/upsertMethodMaterial
curl -X POST '<your-host>/api/v1/items/upsertMethodMaterial' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string",
    "makeMethodId": "string",
    "order": 0,
    "itemType": "Part",
    "methodType": "Purchase to Order",
    "sourcingType": "Specified",
    "quantity": 0,
    "unitOfMeasureCode": "string",
    "_operation": "create"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
"Part""Material""Consumable"
min length 1
"Purchase to Order""Pull from Inventory""Make to Order"
min 0
min 0
"Specified""Drop Ship""Ship from Inventory"
min length 1
"true""false"

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "makeMethodId": {
      "type": "string",
      "minLength": 1
    },
    "order": {
      "type": "number",
      "minimum": 0
    },
    "itemType": {
      "type": "string",
      "enum": [
        "Part",
        "Material",
        "Consumable"
      ]
    },
    "kit": {
      "type": "string",
      "enum": [
        "true",
        "false"
      ]
    },
    "methodType": {
      "type": "string",
      "enum": [
        "Purchase to Order",
        "Pull from Inventory",
        "Make to Order"
      ]
    },
    "sourcingType": {
      "type": "string",
      "enum": [
        "Specified",
        "Drop Ship",
        "Ship from Inventory"
      ]
    },
    "itemId": {
      "type": "string"
    },
    "methodOperationId": {
      "type": "string"
    },
    "quantity": {
      "type": "number",
      "minimum": 0
    },
    "unitOfMeasureCode": {
      "type": "string",
      "minLength": 1
    },
    "storageUnitIds": {
      "anyOf": [
        {
          "type": "object",
          "propertyNames": {
            "type": "string"
          },
          "additionalProperties": {
            "type": "string"
          }
        },
        {
          "type": "null"
        }
      ]
    },
    "customFields": {},
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "id",
    "makeMethodId",
    "order",
    "itemType",
    "methodType",
    "sourcingType",
    "quantity",
    "unitOfMeasureCode",
    "_operation"
  ]
}